View Issue Details

IDProjectCategoryView StatusLast Update
0032551Open CASCADEOCCT:Documentationpublic2021-12-13 14:56
Reporterbtokarev Assigned Tosmoskvin  
PrioritynormalSeverityfeature 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032551: Documentation - Novice user guide for OCCT Documentation
DescriptionIntroduction section of the User Manual (Overview) need to be complemented by the descriptive guide to prepare novice users for the magnitude of OCCT and it's differences with most common ways of 3D modelling.

This document should contain links to the most-visited pages of the Overview and provide the user with a basic understanding of the Overview structure and OCCT workflow.
Steps To ReproduceDocumentation updated
TagsNo tags attached.
Test case numberNot required

Relationships

related to 0031732 feedbackbugmaster Documentation - move Tutorials and Samples into dedicated section 
child of 0031896 assignedbtokarev Documentation - Proofreading User manual 

Activities

git

2021-10-22 16:32

administrator   ~0104795

Branch CR32551 has been created by btokarev.

SHA-1: 693b361bf4bc1ca2b8f72260deeaf2d64ee0387a


Detailed log of new commits:

Author: btokarev
Date: Fri Oct 22 16:32:21 2021 +0300

    0032551: Documentation - Novice user guide for OCCT Documentation
    
    Added novice guide;
    Minor edit for source code comments;
    Reference for OCCTOverview added to Samples description.

btokarev

2021-10-22 16:35

developer   ~0104796

@kgv please review

kgv

2021-10-22 17:10

developer   ~0104797

Please put newlines between sentences and within long sentences.
This wouldn't affect result layout, but would be better for source control/tracked changes.

git

2021-10-22 17:33

administrator   ~0104798

Branch CR32551 has been updated by btokarev.

SHA-1: 47b8433856adea8d72dce9edc48d99d67202c3a9


Detailed log of new commits:

Author: btokarev
Date: Fri Oct 22 17:33:19 2021 +0300

    0032551: Documentation - Novice user guide for OCCT Documentation
    
    New lines added.

btokarev

2021-10-22 17:34

developer   ~0104799

New lines added

kgv

2021-10-22 22:29

developer   ~0104805

Last edited: 2021-10-22 22:30

btokarev	0032551: Documentation - Novice user guide for OCCT... 
btokarev	0032551: Documentation - Novice user guide for OCCT... 

Please follow bug advancement guidance:
- only first commit in branch should start with bug title;
- create a new branch with commits squashed into single one before sending for new review/testing iteration.

-There are several places that may be of use for new users. The first one is https://dev.opencascade.org/resources/trainings page that lists available trainings and describes their specifics.
+There are several places that may be of use for new users. 
+
+The first one is https://dev.opencascade.org/resources/trainings 
+
+page that lists available trainings and describes their specifics.

The patch adds empty lines between sentences, which would create separate paragraphs in generated documentation.
The remark suggested to separate sentences with a single newline (no empty line between sentences).

git

2021-10-26 14:19

administrator   ~0104877

Branch CR32551-1 has been created by btokarev.

SHA-1: aec43d433c1361ed82c36c2bcbb26545ebe03b5e


Detailed log of new commits:

Author: btokarev
Date: Tue Oct 26 14:18:56 2021 +0300

    0032551: Documentation - Novice user guide for OCCT Documentation
    
    Added novice guide;
    Minor edit for source code comments;
    Reference for OCCTOverview added to Samples description;
    New lines added and trimmed;
    Squashed all commits into new branch.

git

2021-10-26 14:22

administrator   ~0104878

Branch CR32551-1 has been updated by btokarev.

SHA-1: 1f5b54408595353320882271d9fc459b57690210


Detailed log of new commits:

Author: btokarev
Date: Tue Oct 26 14:22:28 2021 +0300

    Comment fix

kgv

2021-10-27 12:46

developer   ~0104897

Last edited: 2021-10-27 12:49

+The first one is https://dev.opencascade.org/resources/trainings 

Markdown URL syntax, e.g.:
> [Training & E-learning](https://dev.opencascade.org/resources/trainings)
should be preferred over HTML tags when possible.

+@figure{viewers.png,"Comparsion of 3D and 2D viewer windows",240} height=420px

Comparison

+The basics involved in the modelling process are explained. **Example:**

OCCT documentation prefers "Modeling" over "Modelling" spelling.

+https://old.opencascade.com/forums that can contain valuable information.

Putting into documentation references to a temporary site which will be shutdown in some not very distant future doesn't look reasonable.
As a side comment, an actual Forum preserves the history of the old one, so there is no much to look at for new users.

+and the source code for examples presented in subsections are stored at 'samples/OCCTOverview//code folder'. 

Unexpected double slash.

git

2021-10-27 17:03

administrator   ~0104905

Branch CR32551-1 has been updated by btokarev.

SHA-1: cd485594b3fdd31cad62ed427c340448b4ca3fa6


Detailed log of new commits:

Author: btokarev
Date: Wed Oct 27 17:03:25 2021 +0300

    Remarks applied;
    Links converted to Markdown format;
    Minor grammar edit.

git

2021-10-27 20:57

administrator   ~0104914

Branch CR32551_2 has been created by kgv.

SHA-1: 8b53de1de1d7704d1bcf91a05f2ddba0e080711b


Detailed log of new commits:

Author: btokarev
Date: Tue Oct 26 14:18:56 2021 +0300

    0032551: Documentation - Novice user guide for OCCT Documentation
    
    Added novice guide;
    Minor edit for source code comments;
    Reference for OCCTOverview added to Samples description;

git

2021-10-27 20:59

administrator   ~0104915

Branch CR32551_2 has been updated forcibly by kgv.

SHA-1: 26c06ed3cb23627ddbf20b25885783d546764ab7

kgv

2021-10-27 21:07

developer   ~0104916

Last edited: 2021-10-27 21:08

An updated patch with minor amendments has been pushed to branch CR32551_2
(fixed broken cross-references, removed trailing spaces, corrected asymmetric quote, etc.).

I guess Alexander might suggest improvements to the wording used in this document as some phrases look awkward to me at first glance.

The patch adds new top-level "Novice guide" entity to the Overview documentation, but I would expect it somewhere within "Tutorials and Samples" or "User Guides".
Practically speaking, the document in current state mostly describes Qt Overview sample application.

> The samples may be launched separately or built using the C++ or Python programming software.
Where "Python" comes from?
I haven't heard about any Python sample coming with OCCT itself.

kgv

2021-10-27 21:10

developer   ~0104917

git

2021-10-28 18:11

administrator   ~0104946

Branch CR32551_2 has been updated by aml.

SHA-1: 7667a1669330397a9523a1a54f6f0d7b63fdc656


Detailed log of new commits:

Author: aml
Date: Thu Oct 28 18:11:28 2021 +0300

    # Remarks.

git

2021-10-29 00:40

administrator   ~0104952

Branch CR32551_2 has been updated by kgv.

SHA-1: 69f4454076a628e66306f6fafa315a47d814ec3b


Detailed log of new commits:

Author: kgv
Date: Thu Oct 28 22:52:54 2021 +0300

    Improved listing on samples & tutorials page.

git

2021-10-29 00:42

administrator   ~0104953

Branch CR32551_3 has been created by kgv.

SHA-1: 45be3bc4b8767ab6142f6d1e1d069383ee8473f1


Detailed log of new commits:

Author: btokarev
Date: Tue Oct 26 14:18:56 2021 +0300

    0032551: Documentation - Novice user guide for OCCT Documentation
    
    Added novice guide.
    Improved structure of Tutorials & Samples.

kgv

2021-10-29 00:43

developer   ~0104954

Alexander,

additional corrections have been pushed to CR32551_3 improving structure of Tutorials & Samples page.

aml

2021-10-29 07:52

developer   ~0104955

Kirill, thank you for the good job, it is really appreciated.

aml

2021-10-29 07:53

developer   ~0104956

For integration:
occt - CR32551_3
products - none

kgv

2021-10-29 11:01

developer   ~0104958

git

2021-10-29 14:10

administrator   ~0104964

Branch CR32551_3 has been updated forcibly by kgv.

SHA-1: 0ede24327b4b30a8df982795502389a0e56498e5

smoskvin

2021-10-30 11:21

administrator   ~0104979

Combination -
OCCT branch : OCCT-760
master SHA - 0d186a91c07a6217cd132ec7ea03f1e6f7a2a9ce
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : OCCT-760 SHA - c472aa8da77ba932a88c890c58c81b09f9ae00b5
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17728.310000000427 / 17750.15000000046 [-0.12%]
Products
Total CPU difference: 11578.090000000113 / 11624.980000000118 [-0.40%]
Windows-64-VC14:
OCCT
Total CPU difference: 19746.84375 / 19683.796875 [+0.32%]
Products
Total CPU difference: 12740.0 / 10994.3125 [+15.88%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105867

Branch CR32551 has been deleted by kgv.

SHA-1: 47b8433856adea8d72dce9edc48d99d67202c3a9

git

2021-12-13 14:56

administrator   ~0105868

Branch CR32551-1 has been deleted by kgv.

SHA-1: cd485594b3fdd31cad62ed427c340448b4ca3fa6

git

2021-12-13 14:56

administrator   ~0105869

Branch CR32551_2 has been deleted by kgv.

SHA-1: 69f4454076a628e66306f6fafa315a47d814ec3b

git

2021-12-13 14:56

administrator   ~0105870

Branch CR32551_3 has been deleted by kgv.

SHA-1: 0ede24327b4b30a8df982795502389a0e56498e5

Related Changesets

occt: master 3ea347e5

2021-10-26 11:18:56

btokarev


Committer: smoskvin Details Diff
0032551: Documentation - Novice user guide for OCCT Documentation

Added novice guide.
Improved structure of Tutorials & Samples.
Affected Issues
0032551
mod - dox/FILES_HTML.txt Diff File
mod - dox/FILES_PDF.txt Diff File
mod - dox/samples/draw_scripts.md Diff File
rm - dox/samples/images/samples_c__ie.png Diff File
rm - dox/samples/images/samples_java_android_occt.jpg Diff File
rm - dox/samples/images/samples_mvc.png Diff File
rm - dox/samples/images/samples_qml_android_occt.jpg Diff File
rm - dox/samples/images/samples_qt.png Diff File
rm - dox/samples/images/sample_ios_uikit.png Diff File
rm - dox/samples/images/sample_overview_qt.png Diff File
add - dox/samples/images/sample_overview_qt_geometry.png Diff File
add - dox/samples/images/sample_overview_qt_ocaf.png Diff File
add - dox/samples/images/sample_overview_qt_topology.png Diff File
add - dox/samples/images/sample_overview_qt_triangulation.png Diff File
add - dox/samples/images/sample_overview_qt_viewers.png Diff File
add - dox/samples/images/sample_overview_qt_xde.png Diff File
rm - dox/samples/images/sample_webgl.png Diff File
add - dox/samples/novice_guide.md Diff File
mod - dox/samples/ocaf.md Diff File
mod - dox/samples/ocaf_func.md Diff File
mod - dox/samples/samples.md Diff File
mod - dox/tutorial/tutorial.md Diff File
add - samples/CSharp/images/samples_c__ie.png Diff File
mod - samples/CSharp/ReadMe.md Diff File
mod - samples/CSharp/ReadMe_D3D.md Diff File
add - samples/ios/UIKitSample/images/sample_ios_uikit.png Diff File
mod - samples/ios/UIKitSample/ReadMe.md Diff File
add - samples/java/jniviewer/images/samples_java_android_occt.jpg Diff File
mod - samples/java/jniviewer/ReadMe.md Diff File
add - samples/mfc/standard/images/samples_mvc.png Diff File
mod - samples/mfc/standard/ReadMe.md Diff File
mod - samples/OCCTOverview/code/OcafSamples.cxx Diff File
add - samples/qt/AndroidQt/images/samples_qml_android_occt.jpg Diff File
mod - samples/qt/AndroidQt/ReadMe.md Diff File
add - samples/qt/IESample/images/samples_qt.png Diff File
add - samples/qt/IESample/ReadMe.md Diff File
add - samples/qt/OCCTOverview/images/sample_overview_qt.png Diff File
mod - samples/qt/OCCTOverview/ReadMe.md Diff File
add - samples/qt/Tutorial/ReadMe.md Diff File
add - samples/webgl/images/sample_webgl.png Diff File
mod - samples/webgl/ReadMe.md Diff File

Issue History

Date Modified Username Field Change
2021-09-01 15:00 btokarev New Issue
2021-09-01 15:00 btokarev Assigned To => btokarev
2021-09-01 15:00 btokarev Relationship added child of 0031896
2021-09-01 15:12 kgv Summary Novice user guide for OCCT Documentation => Documentation - Novice user guide for OCCT Documentation
2021-09-01 15:13 kgv Severity minor => feature
2021-10-06 17:24 szy Status new => assigned
2021-10-22 16:32 git Note Added: 0104795
2021-10-22 16:35 btokarev Note Added: 0104796
2021-10-22 16:35 btokarev Assigned To btokarev => kgv
2021-10-22 16:35 btokarev Status assigned => resolved
2021-10-22 16:35 btokarev Steps to Reproduce Updated
2021-10-22 17:10 kgv Note Added: 0104797
2021-10-22 17:11 kgv Assigned To kgv => btokarev
2021-10-22 17:11 kgv Status resolved => assigned
2021-10-22 17:33 git Note Added: 0104798
2021-10-22 17:34 btokarev Note Added: 0104799
2021-10-22 17:34 btokarev Assigned To btokarev => kgv
2021-10-22 17:34 btokarev Status assigned => resolved
2021-10-22 22:29 kgv Note Added: 0104805
2021-10-22 22:29 kgv Assigned To kgv => btokarev
2021-10-22 22:29 kgv Status resolved => assigned
2021-10-22 22:29 kgv Note Edited: 0104805
2021-10-22 22:30 kgv Note Edited: 0104805
2021-10-26 14:19 git Note Added: 0104877
2021-10-26 14:22 git Note Added: 0104878
2021-10-27 12:46 kgv Note Added: 0104897
2021-10-27 12:46 kgv Note Edited: 0104897
2021-10-27 12:46 kgv Note Edited: 0104897
2021-10-27 12:49 kgv Note Edited: 0104897
2021-10-27 17:03 git Note Added: 0104905
2021-10-27 17:04 btokarev Assigned To btokarev => kgv
2021-10-27 17:04 btokarev Status assigned => resolved
2021-10-27 20:57 git Note Added: 0104914
2021-10-27 20:59 git Note Added: 0104915
2021-10-27 21:07 kgv Note Added: 0104916
2021-10-27 21:07 kgv Assigned To kgv => aml
2021-10-27 21:08 kgv Note Edited: 0104916
2021-10-27 21:10 kgv Note Added: 0104917
2021-10-28 18:11 git Note Added: 0104946
2021-10-29 00:40 git Note Added: 0104952
2021-10-29 00:42 git Note Added: 0104953
2021-10-29 00:43 kgv Note Added: 0104954
2021-10-29 07:52 aml Note Added: 0104955
2021-10-29 07:53 aml Note Added: 0104956
2021-10-29 07:53 aml Assigned To aml => bugmaster
2021-10-29 07:53 aml Status resolved => reviewed
2021-10-29 11:01 kgv Note Added: 0104958
2021-10-29 12:13 kgv Relationship added related to 0031732
2021-10-29 14:10 git Note Added: 0104964
2021-10-30 11:21 smoskvin Note Added: 0104979
2021-10-30 11:21 smoskvin Status reviewed => tested
2021-10-30 11:23 smoskvin Test case number => Not required
2021-11-02 17:57 smoskvin Changeset attached => occt master 3ea347e5
2021-11-02 17:57 smoskvin Assigned To bugmaster => smoskvin
2021-11-02 17:57 smoskvin Status tested => verified
2021-11-02 17:57 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105867
2021-12-13 14:56 git Note Added: 0105868
2021-12-13 14:56 git Note Added: 0105869
2021-12-13 14:56 git Note Added: 0105870